Linux Help
guides forums blogs
Home Desktops Distributions ISO Images Logos Newbies Reviews Software Support & Resources Linuxhelp Wiki

Welcome Guest ( Log In | Register )



Advanced DNS Management
New ZoneEdit. New Managment.

FREE DNS Is Back

Sign Up Now
 
Reply to this topicStart new topic
> and it dosent end
Guest_mmoor_*
post May 26 2006, 11:01 AM
Post #1





Guests






just managed it to compile mod_ssl.. but life is not easy looks like.

error_log httpd
[warn] Loaded DSO libexec/mod_include.so uses plain apache 1.3 API , this module might crash under eapi (please recompile it with -DEAPI

and there is about 8 other modules what bitch..

Do i waht recompile.. mod_ssl, apache or each freaking module? unsure.gif

and this errors:
[Fri May 26 18:24:47 2006] [notice] Apache/1.3.36 (Unix) PHP/4.4.2 configured -- resuming normal operations
[Fri May 26 18:24:47 2006] [notice] Accept mutex: sysvsem (Default: sysvsem)
[Fri May 26 18:27:00 2006] [error] mod_ssl: Init: Private key not found (OpenSSL library error follows)
[Fri May 26 18:27:00 2006] [error] OpenSSL: error:0D094068:asn1 encoding routines:d2i_ASN1_SET:bad tag
[Fri May 26 18:27:00 2006] [error] OpenSSL: error:0D0680A8:asn1 encoding routines:ASN1_CHECK_TLEN:wrong tag
[Fri May 26 18:27:00 2006] [error] OpenSSL: error:0D07803A:asn1 encoding routines:ASN1_ITEM_EX_D2I:nested asn1 error
[Fri May 26 18:27:00 2006] [error] OpenSSL: error:0D09A00D:asn1 encoding routines:d2i_PrivateKey:ASN1 lib
Go to the top of the page
 
+Quote Post
Termina
post May 26 2006, 12:27 PM
Post #2


RMS is my Hero
******

Group: Support Specialist
Posts: 862
Joined: 18-February 04
From: Wisconsin
Member No.: 2,404



You need to recompile the module that apache is bitching about.

./configure --help in the source directory, and look for DEAPI options.


--------------------
*Points finger at the author above him* They're a witch! Burn them!
---
Vist my website!
Join me in IRC! Server: st0rage.org Channel: #UnhandledExceptions
Go to the top of the page
 
+Quote Post
Guest_mmoor_*
post May 26 2006, 01:51 PM
Post #3





Guests






holy thingy.. dont tell me i have to recompile every single module from the apache dist..

i did the ./configure --help, unfortuntly i dont see any option like -DEAPI not even in the install.reame nor somewhere else sad.gif
or is there a way to switch something off when compile mod_ssl.. there is a message during configure enable eapi.. but also there i can't find any option to switch that off.

and those openssl errors come from, the matter of the moudels or something else ?
Go to the top of the page
 
+Quote Post
Guest_mmoor_*
post May 27 2006, 05:24 AM
Post #4





Guests






anybody any idea what sslbinaries are or what they are called.. for openssl-0.9.8a-5.2

try to compile mod_ssl and i get a error can't find openssl binaries under /usr/include/openssl
in that folder i have all the opensll.h files. I tryed also with /usr/lib/openssl/engines (there are the libopenssl)

I have the devel installed too.

but if i do a file search i get only those 2 directories.
Go to the top of the page
 
+Quote Post
Guest_mmoor_*
post May 27 2006, 07:34 AM
Post #5





Guests






Is there somewhere or better question does someone have a complet UBER noob step by step guide to install mod_ssl on apache 1.3.36 ?
Go to the top of the page
 
+Quote Post
Guest_mmoor_*
post May 27 2006, 12:19 PM
Post #6





Guests






i promoted myself to a advanced nooby, got that thingy finaly to work smile.gif

for some silly reason recompile apache was not replace my modules in the install dir. so thats why those silly -deapi never worked. got to delete all modules, then make install.. hmmmm unsure.gif
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 14th December 2017 - 05:58 PM